Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.vmpipe
Class VmPipeAcceptor

    java.lang.Object
      org.apache.mina.common.support.BaseIoService
          org.apache.mina.common.support.BaseIoAcceptor
              org.apache.mina.transport.vmpipe.VmPipeAcceptor

All Implemented Interfaces:
  IoAcceptor, IoService

    public class VmPipeAcceptor

extends org.apache.mina.common.support.BaseIoAcceptor

Binds the specified `IoHandler` to the specified `VmPipeAddress`.

Version:
  $Rev: 587373 $, $Date: 2007-10-23 04:54:05 +0200 (Tue, 23 Oct 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`VmPipeAcceptor()`

Method Summary
`void` | `bind(SocketAddress address, IoHandler handler, IoServiceConfig config)` Binds to the specified `address` and handles incoming connections with the specified `handler`.
`IoServiceConfig` | `getDefaultConfig()` Returns the default configuration which is used when you didn't specify any configuration.
`void` | `unbind(SocketAddress address)` Unbinds from the specified `address` and disconnects all clients connected there.
`void` | `unbindAll()` Unbinds all addresses which were bound by this acceptor.

Methods inherited from class org.apache.mina.common.support.BaseIoAcceptor
`bind, newSession`

Methods inherited from class org.apache.mina.common.support.BaseIoService
`addListener, getFilterChain, getFilterChainBuilder, getListeners, getManagedServiceAddresses, getManagedSessions, isManaged, removeListener, setFilterChainBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mina.common.IoService
`addListener, getFilterChain, getFilterChainBuilder, getManagedServiceAddresses, getManagedSessions, isManaged, removeListener, setFilterChainBuilder`

Constructor Detail

### VmPipeAcceptor

    public VmPipeAcceptor()

Method Detail

### bind

    public void bind(SocketAddress address,
                     IoHandler handler,
                     IoServiceConfig config)
              throws IOException

  Description copied from interface: `IoAcceptor`
  Binds to the specified `address` and handles incoming connections with the specified `handler`.

    `config` - the configuration
  Throws:
    `IOException` - if failed to bind

### unbind

    public void unbind(SocketAddress address)

  Description copied from interface: `IoAcceptor`
  Unbinds from the specified `address` and disconnects all clients connected there.

### unbindAll

    public void unbindAll()

  Description copied from interface: `IoAcceptor`
  Unbinds all addresses which were bound by this acceptor.

### getDefaultConfig

    public IoServiceConfig getDefaultConfig()

  Description copied from interface: `IoService`
  Returns the default configuration which is used when you didn't specify any configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.